Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.parsers
Class SAXParser

    java.lang.Object
      weblogic.apache.xerces.parsers.XMLParser
          weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
              weblogic.apache.xerces.parsers.AbstractSAXParser
                  weblogic.apache.xerces.parsers.SAXParser

All Implemented Interfaces:
  Parser, weblogic.apache.xerces.impl.xs.psvi.PSVIProvider, XMLDocumentHandler, XMLDTDContentModelHandler, XMLDTDHandler, XMLReader

Deprecated. please use JDK supplied XML parsers and transformers

public class SAXParser
extends AbstractSAXParser

This is the main Xerces SAX parser class. It uses the abstract SAX parser with a document scanner, a dtd scanner, and a validator, as well as a grammar pool.

Nested Class Summary

Nested classes inherited from class weblogic.apache.xerces.parsers.AbstractSAXParser
`AbstractSAXParser.AttributesProxy, AbstractSAXParser.LocatorProxy`

Field Summary
`protected static String` | `NOTIFY_BUILTIN_REFS` Deprecated. Feature identifier: notify built-in refereces.
`protected static String` | `SYMBOL_TABLE` Deprecated. Property identifier: symbol table.
`protected static String` | `XMLGRAMMAR_POOL` Deprecated. Property identifier: XML grammar pool.

Fields inherited from class weblogic.apache.xerces.parsers.AbstractSAXParser
`DECLARATION_HANDLER, DOM_NODE, fContentHandler, fDeclHandler, fDocumentHandler, fDTDHandler, fLexicalHandler, fNamespacePrefixes, fNamespaces, fNormalizeData, fParseInProgress, fQName, LEXICAL_HANDLER, NAMESPACE_PREFIXES, NAMESPACES, NORMALIZE_DATA, STRING_INTERNING`

Fields inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`fDocumentSource, fInDTD`

Fields inherited from class weblogic.apache.xerces.parsers.XMLParser
`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Constructor Summary
`SAXParser()` Deprecated. Constructs a SAX parser using the dtd/xml schema parser configuration.
`SAXParser(SymbolTable symbolTable)` Deprecated. Constructs a SAX parser using the specified symbol table.
`SAXParser(SymbolTable symbolTable, XMLGrammarPool grammarPool)` Deprecated. Constructs a SAX parser using the specified symbol table and grammar pool.
`SAXParser(XMLParserConfiguration config)` Deprecated. Constructs a SAX parser using the specified parser configuration.

Methods inherited from class weblogic.apache.xerces.parsers.AbstractSAXParser
`attributeDecl, characters, comment, doctypeDecl, elementDecl, endCDATA, endDocument, endDTD, endElement, endExternalSubset, endGeneralEntity, endParameterEntity, endPrefixMapping, externalEntityDecl, getAttributePSVI, getAttributePSVIByName, getContentHandler, getDeclHandler, getDTDHandler, getElementPSVI, getEntityResolver, getErrorHandler, getFeature, getLexicalHandler, getProperty, ignorableWhitespace, internalEntityDecl, notationDecl, parse, parse, processingInstruction, reset, setContentHandler, setDeclHandler, setDocumentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setLexicalHandler, setLocale, setProperty, startCDATA, startDocument, startElement, startExternalSubset, startGeneralEntity, startParameterEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`any, element, empty, emptyElement, endAttlist, endConditional, endContentModel, endGroup, getDocumentSource, ignoredCharacters, occurrence, pcdata, separator, setDocumentSource, startAttlist, startConditional, startContentModel, startDTD, startGroup, textDecl, xmlDecl`

Methods inherited from class weblogic.apache.xerces.parsers.XMLParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOTIFY_BUILTIN_REFS

    protected static final String NOTIFY_BUILTIN_REFS

  Deprecated.
  Feature identifier: notify built-in refereces.

  See Also:
    Constant Field Values

### SYMBOL_TABLE

    protected static final String SYMBOL_TABLE

  Deprecated.
  Property identifier: symbol table.

  See Also:
    Constant Field Values

### XMLGRAMMAR_POOL

    protected static final String XMLGRAMMAR_POOL

  Deprecated.
  Property identifier: XML grammar pool.

  See Also:
    Constant Field Values

Constructor Detail

### SAXParser

    public SAXParser()

  Deprecated.
  Constructs a SAX parser using the dtd/xml schema parser configuration.

### SAXParser

    public SAXParser(SymbolTable symbolTable)

  Deprecated.
  Constructs a SAX parser using the specified symbol table.

### SAXParser

    public SAXParser(SymbolTable symbolTable,
                     XMLGrammarPool grammarPool)

  Deprecated.
  Constructs a SAX parser using the specified symbol table and grammar pool.

### SAXParser

    public SAXParser(XMLParserConfiguration config)

  Deprecated.
  Constructs a SAX parser using the specified parser configuration.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD